Subject: bug#66655: 29.1; Clicking buttons sometimes doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Oct 2023 17:18:16 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 24 Oct 2023 09:57:26 -0400
> 
> >> > What will that do if the mouse was moved, then returned to the
> >> > original position before the button is released?
> >> 
> >> In the sample patch I sent it depends if the original mouse/screen position
> >> still shows the same buffer position.  If it does, then the `up` will
> >> stay as an `up`, otherwise it will turn into a `drag`.
> >> [ At least, that's what I think my code does.  ]
> >
> > OK, but I think the issue with double-click-fuzz still remains to be
> > solved with this approach.
> 
> Not sure what you men by that (probably because I don't know enough of
> what we do with double-click-fuzz, i.e. where we do obey it and where we
> don't).

It is used to decide whether to emit a drag event or a click event,
just search for it in keyboard.c and you will find the code.